Skip to Content
SeyloDocs
API referenceDeploy triggers and webhooks

Create or rotate a deploy trigger URL

POST
/api/v1/webhooks.rotateTrigger

Creates a new secret deploy URL for a service and invalidates the old one. A POST to the URL deploys the service (optional query: commit=). The URL is returned only this once. While the panel has no domain it is a path (/api/hooks/deploy/...) to put after the panel's address.

Needs services.update on the service (a grant on its project covers it). Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
url*string
hint*string
createdAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/webhooks.rotateTrigger' \  -H 'Content-Type: application/json' \  -d '{  "serviceId": "string"}'
Example Response
{  "url": "string",  "hint": "string",  "createdAt": "2019-08-24T14:15:22Z"}